The total token supply for the respective native asset of that chain. Inclusive of all locked tokens.
cURL
curl --request GET \ --url https://api.blockworks.com/v1/metrics/token-supply \ --header 'x-api-key: <api-key>'
{ "projectName": [ { "date": "2025-08-10", "value": 123456.789 }, { "date": "2025-08-11", "value": 234567.89 }, { "date": "2025-08-12", "value": 345678.901 } ] }
curl -H "x-api-key: YOUR_API_KEY" \ "https://api.blockworks.com/v1/metrics/token-supply?project=ethereum"
{ "ethereum": [ { "date": "2026-02-19", "value": 121429244.01778184 }, { "date": "2026-02-18", "value": 121426537.26592864 }, { "date": "2026-02-17", "value": 121423830.8584852 }, { "date": "2026-02-16", "value": 121421122.82895418 }, { "date": "2026-02-15", "value": 121418408.91438234 } ] }
Project slug (comma-separated for multiple).
arbitrum
ethereum
fogo
solana
"arbitrum"
Start date (YYYY-MM-DD)
End date (YYYY-MM-DD)
OK